wacom-tools(1)

NAME
check_driver - Linux 2.6(.16+) userspace device rebinding helper.

SYNOPSIS
check_driver driver devpath bustype

DESCRIPTION
This is a RUN script that may be invoked from a udev rule to ensure the correct driver is bound to a particular device, in situations where a basic driver may bind to it first but a more specialised one is available.

EXAMPLE
For the wacom device, a rule like this is used: KERNEL=="event[0-9]*", SYSFS{idVendor}=="056a", ACTION=="add", RUN+="/lib/udev/check_driver wacom $devpath $env{ID_BUS}"

COPYRIGHT
2006, Ron Lee <ron@debian.org>. Created for the Debian GNU/Linux distribution. It may be freely distributed elsewhere.